# WorldBorderBoundsChangeEvent.Type (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: io.papermc.paper.event.world.border, class: WorldBorderBoundsChangeEvent, enum: Type

Package io.papermc.paper.event.world.border

# Enum Class WorldBorderBoundsChangeEvent.Type

java.lang.Object
java.lang.Enum<WorldBorderBoundsChangeEvent.Type>
io.papermc.paper.event.world.border.WorldBorderBoundsChangeEvent.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<WorldBorderBoundsChangeEvent.Type>`, `Constable`

Enclosing class:
  WorldBorderBoundsChangeEvent

public static enum WorldBorderBoundsChangeEvent.Type extends Enum<WorldBorderBoundsChangeEvent.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANT_MOVE`
`STARTED_MOVE`

## Method Summary

Modifier and Type
Method
Description
`static WorldBorderBoundsChangeEvent.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WorldBorderBoundsChangeEvent.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STARTED_MOVE

public static final WorldBorderBoundsChangeEvent.Type STARTED_MOVE

### INSTANT_MOVE

public static final WorldBorderBoundsChangeEvent.Type INSTANT_MOVE

## Method Details

### values

public static WorldBorderBoundsChangeEvent.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WorldBorderBoundsChangeEvent.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null